Subject: 23.1; vc-rcs doesn't recognize status when checkin-switch -l
From: Evangelos Evangelou <[email-masked]>
To: [email-masked]
Date: Fri, 09 Oct 2009 10:30:59 +0100

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

It seems that emacs doesn't recognize the vc-status of the file when I
set the variable vc-rcs-checkin-switches to "-l". The first time I
execute vc-next-action for checking in the file is checked in and then
checked out automatically because of the "-l" switch. The %% are not
present in the mode line. The second time I run vc-next-action it
attempts to run co instead of ci. On the other hand, running
vc-next-action through vc-dir doesn't seem to have a problem. I only
observed this in emacs 23; emacs 22 is also working as expected.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/emacs/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENG
  value of $XMODIFIERS: nil
  locale-coding-system: cp1253
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  display-battery-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  iswitchb-mode: t
  shell-dirtrack-mode: t
  savehist-mode: t
  recentf-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
( s e t q SPC v c - r c s - c h e c k i n - s w i t 
c h e s SPC " - l " ) C-x C-e C-x C-f D e s k t o p 
/ t m p . t <backspace> e l <return> C-x v v y c o 
o m C-c C-c y C-x v v e s <backspace> d i t C-x C-s 
C-x v v C-c C-c <return> e d i t SPC 2 C-x C-s C-x 
v v M-x r e p o r <tab> <return>

Recent messages:
Checking out c:/Documents and Settings/User/Desktop/tmp.el...done
Saving file c:/Documents and Settings/User/Desktop/tmp.el...
Wrote c:/Documents and Settings/User/Desktop/tmp.el
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Checking in c:/Documents and Settings/User/Desktop/tmp.el...done
Saving file c:/Documents and Settings/User/Desktop/tmp.el...
Wrote c:/Documents and Settings/User/Desktop/tmp.el
Checking out c:/Documents and Settings/User/Desktop/tmp.el...
vc-do-command: Running co  -l -r1.2 RCS/tmp.el,v...FAILED (status 1)